Self-Solve Knowledge Search

Minimize Maximize
SAP SPI 12.x instrumentation scripts fail on RHEL 6.x nodes
Title :
SAP SPI 12.x instrumentation scripts fail on RHEL 6.x nodes
Document ID :
KM01429768
Product - Version:
smart plug-in for sap 12.05 ;
OS :
Updated :
Wed Mar 04 10:21:04 GMT 2015
Summary :
On RHEL 6.x nodes SAP SPI shell scripts fail due to missing /usr/bin/ksh interpreter. /usr/bin/ksh should be linked to exiting interpreter to resolve.
SAP SPI shell scripts use /usr/bin/ksh interpreter, which is not available on RH EL 6.x nodes.
However /bin/ksh is available.
Solution

A workaround solution in order to get instrumentation scripts working would be to create a link to wherever ksh is available.
    ln – s <KSH path> /usr/bin/ksh

For example:
    ln -s /bin/ksh /usr/bin/ksh